summaryrefslogtreecommitdiffstats
path: root/source/n/net-tools
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/net-tools
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/net-tools')
-rwxr-xr-xsource/n/net-tools/get-net-tools.sh48
-rw-r--r--source/n/net-tools/ipmask.81
-rwxr-xr-xsource/n/net-tools/net-tools.SlackBuild43
-rw-r--r--source/n/net-tools/net-tools.config.h9
-rw-r--r--source/n/net-tools/net-tools.url1
-rw-r--r--source/n/net-tools/slack-desc16
6 files changed, 85 insertions, 33 deletions
diff --git a/source/n/net-tools/get-net-tools.sh b/source/n/net-tools/get-net-tools.sh
new file mode 100755
index 000000000..22e4f4bbd
--- /dev/null
+++ b/source/n/net-tools/get-net-tools.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Copyright 2017 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf net-tools
+
+# Clone repository:
+git clone git://net-tools.git.sourceforge.net/gitroot/net-tools/net-tools/
+
+# checkout $BRANCH:
+( cd net-tools
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd net-tools && git log -1 --format=%h )"
+DATE="$( cd net-tools && git log -1 --format=%ad --date=format:%Y%m%d )"
+# Cleanup. We're not packing up the whole git repo.
+( cd net-tools && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv net-tools net-tools-${DATE}_${HEADISAT}
+tar cf net-tools-${DATE}_${HEADISAT}.tar net-tools-${DATE}_${HEADISAT}
+xz -9 -f net-tools-${DATE}_${HEADISAT}.tar
+rm -rf net-tools-${DATE}_${HEADISAT}
+echo
+echo "net-tools branch $BRANCH with HEAD at $HEADISAT packaged as net-tools-${DATE}_${HEADISAT}.tar.xz"
+echo
+
diff --git a/source/n/net-tools/ipmask.8 b/source/n/net-tools/ipmask.8
index 2f9815010..ee85f74ce 100644
--- a/source/n/net-tools/ipmask.8
+++ b/source/n/net-tools/ipmask.8
@@ -12,7 +12,6 @@
ipmask \- determine network and broadcast addresses given a decimal netmask and IP address.
.SH SYNOPSIS
.B ipmask <decimal netmask> <decimal IP address>
-.BI packagename
.SH DESCRIPTION
.B ipmask
is a simple program to calculate broadcast and network addresses from a decimal netmask and a decimal IP address. It is used in the Slackware networking script /etc/rc.d/rc.inet1, and in the netconfig script.
diff --git a/source/n/net-tools/net-tools.SlackBuild b/source/n/net-tools/net-tools.SlackBuild
index ce08001da..c4a15f183 100755
--- a/source/n/net-tools/net-tools.SlackBuild
+++ b/source/n/net-tools/net-tools.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,22 +20,30 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=net-tools
-VERSION=${VERSION:-1.60.20120726git}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
@@ -43,8 +51,8 @@ mkdir -p $TMP $PKG
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -68,18 +76,20 @@ find . \
-exec chmod 644 {} \;
mkdir -p $PKG/usr/doc/net-tools-$VERSION
-cp -a COPYING* README* $PKG/usr/doc/net-tools-$VERSION
+cp -a \
+ COPYING* INSTALLING README* THANKS TODO \
+ $PKG/usr/doc/net-tools-$VERSION
chmod 644 $PKG/usr/doc/net-tools-$VERSION/*
chown root:root $PKG/usr/doc/net-tools-$VERSION/*
-HAVE_IP_TOOLS=1 HAVE_MII=1 make || exit 1
-HAVE_IP_TOOLS=1 HAVE_MII=1 make hostname || exit 1
+HAVE_FW_MASQUERADE=1 HAVE_ARP_TOOLS=1 HAVE_HOSTNAME_TOOLS=1 \
+ HAVE_HOSTNAME_SYMLINKS=1 HAVE_IP_TOOLS=1 HAVE_MII=1 \
+ HAVE_PLIP_TOOLS=1 HAVE_SERIAL_TOOLS=1 make || exit 1
strip --strip-unneeded ipmaddr iptunnel hostname arp ifconfig nameif rarp route netstat plipconfig slattach mii-tool
mkdir -p $PKG/sbin $PKG/bin $PKG/usr/sbin
cat arp > $PKG/sbin/arp
cat ifconfig > $PKG/sbin/ifconfig
cat rarp > $PKG/sbin/rarp
cat route > $PKG/sbin/route
-cat hostname > $PKG/bin/hostname
cat mii-tool > $PKG/sbin/mii-tool
cat nameif > $PKG/sbin/nameif
cat netstat > $PKG/bin/netstat
@@ -90,20 +100,11 @@ cat iptunnel > $PKG/sbin/iptunnel
chmod 755 $PKG/sbin/* $PKG/bin/* $PKG/usr/sbin/*
cd man/en_US
mkdir -p $PKG/usr/man/man{1,5,8}
-for page in dnsdomainname.1 domainname.1 hostname.1 nisdomainname.1 \
- ypdomainname.1 ; do
- cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
-done
cat ethers.5 | gzip -9c > $PKG/usr/man/man5/ethers.5.gz
for page in arp.8 ifconfig.8 mii-tool.8 nameif.8 netstat.8 rarp.8 route.8 \
slattach.8 plipconfig.8 ; do
cat $page | gzip -9c > $PKG/usr/man/man8/$page.gz
done
-( cd $PKG/bin
- ln -sf hostname dnsdomainname
- ln -sf hostname nisdomainname
- ln -sf hostname ypdomainname
-)
# This is a little Slackware-specific tool used in some of the network
# related scripts to calculate network and broadcast addresses:
diff --git a/source/n/net-tools/net-tools.config.h b/source/n/net-tools/net-tools.config.h
index e271f863f..92800ee47 100644
--- a/source/n/net-tools/net-tools.config.h
+++ b/source/n/net-tools/net-tools.config.h
@@ -50,8 +50,8 @@
#define HAVE_HWSLIP 1
#define HAVE_HWPPP 1
#define HAVE_HWTUNNEL 1
-#define HAVE_HWSTRIP 1
-#define HAVE_HWTR 1
+#define HAVE_HWSTRIP 0
+#define HAVE_HWTR 0
#define HAVE_HWAX25 1
#define HAVE_HWROSE 0
#define HAVE_HWNETROM 1
@@ -73,6 +73,11 @@
*
*/
#define HAVE_FW_MASQUERADE 1
+#define HAVE_ARP_TOOLS 1
+#define HAVE_HOSTNAME_TOOLS 1
+#define HAVE_HOSTNAME_SYMLINKS 1
#define HAVE_IP_TOOLS 1
#define HAVE_MII 1
+#define HAVE_PLIP_TOOLS 1
+#define HAVE_SERIAL_TOOLS 1
#define HAVE_SELINUX 0
diff --git a/source/n/net-tools/net-tools.url b/source/n/net-tools/net-tools.url
deleted file mode 100644
index 61da371ec..000000000
--- a/source/n/net-tools/net-tools.url
+++ /dev/null
@@ -1 +0,0 @@
-# git archive --format=tar --remote=git://net-tools.git.sourceforge.net/gitroot/net-tools/net-tools master > net-tools.tar.xz
diff --git a/source/n/net-tools/slack-desc b/source/n/net-tools/slack-desc
index e49909da3..6aa3f9f86 100644
--- a/source/n/net-tools/slack-desc
+++ b/source/n/net-tools/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-net-tools: net-tools (base Linux networking utilities)
+net-tools: net-tools (Linux networking utilities)
net-tools:
-net-tools: This is the core collection of tools such as "ifconfig" and "route"
-net-tools: used to configure networking on Linux. You won't be able to do much
-net-tools: networking without this package and the network-scripts.
+net-tools: This is a collection of traditional tools such as "ifconfig" and
+net-tools: "route" that were used to configure networking on Linux. While you can
+net-tools: still make use of these tools today, they have been largely superseded
+net-tools: by newer tools such as "ip", "ifrename", and "ethtool".
net-tools:
net-tools: The net-tools package was maintained for many years by Phil Blundell
net-tools: and Bernd Eckenfels.
net-tools:
net-tools:
-net-tools: